// Copyright Pacificao. All Rights Reserved.

#include "AgrarianWeatherExposureZone.h"
#include "Components/BoxComponent.h"

AAgrarianWeatherExposureZone::AAgrarianWeatherExposureZone()
{
	bReplicates = true;
	NetCullDistanceSquared = FMath::Square(6500.0f);

	ExposureVolume = CreateDefaultSubobject<UBoxComponent>(TEXT("ExposureVolume"));
	RootComponent = ExposureVolume;
	ExposureVolume->SetBoxExtent(FVector(500.0f, 500.0f, 250.0f));
	ExposureVolume->SetCollisionProfileName(TEXT("OverlapAllDynamic"));
}
